---
title: NavigatorOnLine
slug: Web/API/NavigatorOnLine
tags:
  - API
  - HTML-DOM
---
<p>{{APIRef("HTML DOM")}}</p>

<p>The <code><strong>NavigatorOnLine</strong></code> interface contains methods and properties related to the connectivity status of the browser.</p>

<p>There is no object of type <code>NavigatorOnLine</code>, but other interfaces, like {{domxref("Navigator")}} or {{domxref("WorkerNavigator")}}, implement it.</p>

<h2 id="Properties">Properties</h2>

<p><em>The <code>NavigatorOnLine</code></em><em> interface doesn't inherit any property.</em></p>

<dl>
 <dt>{{domxref("NavigatorOnLine.onLine")}} {{readonlyInline}}</dt>
 <dd>Returns a {{domxref("Boolean")}} indicating whether the browser is working online.</dd>
</dl>

<h2 id="Methods">Methods</h2>

<p><em>The </em><em><code>NavigatorOnLine</code></em><em> interface neither implements, nor inherit any method.</em></p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('HTML WHATWG', '#browser-state', 'NavigatorOnLine')}}</td>
   <td>{{Spec2('HTML WHATWG')}}</td>  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("api.NavigatorOnLine")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("Navigator")}} interface that implements it.</li>
 <li><a href="/en-US/docs/Web/API/NavigatorOnLine/Online_and_offline_events">Online and offline events</a></li>
</ul>
